POST https://gate.reviopay.com/api/v1/clients/Description
Client is a record of a single customer of your business. Create one for each of your clients; you will be able to issue invoices/subscriptions for them later easily using /billing_templates/ API. Each BillingTemplateClient (there can be many attached to a single BillingTemplate) will bind a single Client to a BillingTemplate.
Request body
| Field | Type | Required | Description |
|---|---|---|---|
id | string (uuid) | no | |
type | string | no | Object type identifier |
created_on | object | no | Object creation time |
updated_on | object | no | Object last modification time |
cc | Email[] | no | Email addresses to receive a carbon copy of all notification emails |
bcc | Email[] | no | Email addresses to receive a blind carbon copy of all notification emails |
city | City | no | City name |
email | Email | yes | Email address |
phone | Phone | no | Phone number in the format |
state | State | no | State code |
country | Country | no | Country code in the ISO 3166-1 alpha-2 format (e.g. ‘GB’) |
zip_code | ZIPCode | no | ZIP or postal code |
full_name | string | no | Name and surname of client |
brand_name | string | no | Company brand name |
legal_name | string | no | Legal name of company |
tax_number | string | no | Tax payer registration number |
personal_code | string | no | Personal identification code of client. |
shipping_city | City | no | City name |
shipping_state | State | no | State code |
street_address | StreetAddress | no | Street house number and flat address where applicable |
delivery_methods | object[] | no | List of delivery methods for invoices |
shipping_country | Country | no | Country code in the ISO 3166-1 alpha-2 format (e.g. ‘GB’) |
shipping_zip_code | ZIPCode | no | ZIP or postal code |
registration_number | string | no | Registration number of company |
shipping_street_address | StreetAddress | no | Street house number and flat address where applicable |
Example
curl -X POST https://gate.reviopay.com/api/v1/clients/ \
-H 'Authorization: Bearer <YOUR_API_KEY>' \
-H 'Content-Type: application/json'Responses
| Status | Description |
|---|---|
201 | OK |
400 | Invalid data submitted or request processing error |